#### D.13.2.26 isFullSpace

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  isFullSpace(c); c cone

Return:
  1, if c is the entire ambient space; 0 otherwise

Example:

    LIB "gfan.lib";
    cone c1;
    isFullSpace(c1);
    ==> 1
    intmat M2[2][2]=
    1,0,
    0,1;
    cone c2=coneViaPoints(M2);
    isFullSpace(c2);
    ==> 0
    intmat M3[4][2]=
    1,0,
    0,1,
    -1,0,
    0,-1;
    cone c3=coneViaPoints(M3);
    isFullSpace(c3);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.